# do-sdk-files
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 1.0.0
- Generator version: 7.12.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import do_sdk_files
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import do_sdk_files
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import do_sdk_files
from do_sdk_files.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://os.edge.deeporigin.io/file-api
# See configuration.py for a list of all supported configuration parameters.
configuration = do_sdk_files.Configuration(
    host = "https://os.edge.deeporigin.io/file-api"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api-key
configuration.api_key['api-key'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api-key'] = 'Bearer'


# Enter a context with an instance of the API client
with do_sdk_files.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = do_sdk_files.DoDataApi(api_client)
    file_path = 'file_path_example' # str | The path to the file (can include subdirectories)

    try:
        api_response = api_instance.do_data_controller_delete_do_object(file_path)
        print("The response of DoDataApi->do_data_controller_delete_do_object:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DoDataApi->do_data_controller_delete_do_object: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://os.edge.deeporigin.io/file-api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DoDataApi* | [**do_data_controller_delete_do_object**](docs/DoDataApi.md#do_data_controller_delete_do_object) | **DELETE** /do-data/{filePath} | 
*DoDataApi* | [**do_data_controller_get_do_object**](docs/DoDataApi.md#do_data_controller_get_do_object) | **GET** /do-data/{filePath} | 
*DoDataApi* | [**do_data_controller_head_do_object**](docs/DoDataApi.md#do_data_controller_head_do_object) | **HEAD** /do-data/{filePath} | 
*DoDataApi* | [**do_data_controller_put_do_object**](docs/DoDataApi.md#do_data_controller_put_do_object) | **PUT** /do-data/{filePath} | 
*FilesApi* | [**file_controller_delete_object**](docs/FilesApi.md#file_controller_delete_object) | **DELETE** /{orgFriendlyId}/{filePath} | 
*FilesApi* | [**file_controller_get_object**](docs/FilesApi.md#file_controller_get_object) | **GET** /{orgFriendlyId}/{filePath} | 
*FilesApi* | [**file_controller_get_signed_url_download**](docs/FilesApi.md#file_controller_get_signed_url_download) | **GET** /signedUrl/download/{orgFriendlyId}/{filePath} | 
*FilesApi* | [**file_controller_get_signed_url_upload**](docs/FilesApi.md#file_controller_get_signed_url_upload) | **GET** /signedUrl/upload/{orgFriendlyId}/{filePath} | 
*FilesApi* | [**file_controller_head_object**](docs/FilesApi.md#file_controller_head_object) | **HEAD** /{orgFriendlyId}/{filePath} | 
*FilesApi* | [**file_controller_put_object**](docs/FilesApi.md#file_controller_put_object) | **PUT** /{orgFriendlyId}/{filePath} | 
*SharedDataApi* | [**shared_data_controller_delete_shared_object**](docs/SharedDataApi.md#shared_data_controller_delete_shared_object) | **DELETE** /shared-data/{filePath} | 
*SharedDataApi* | [**shared_data_controller_get_do_object**](docs/SharedDataApi.md#shared_data_controller_get_do_object) | **GET** /shared-data/{filePath} | 
*SharedDataApi* | [**shared_data_controller_head_shared_object**](docs/SharedDataApi.md#shared_data_controller_head_shared_object) | **HEAD** /shared-data/{filePath} | 
*SharedDataApi* | [**shared_data_controller_put_shared_object**](docs/SharedDataApi.md#shared_data_controller_put_shared_object) | **PUT** /shared-data/{filePath} | 


## Documentation For Models

 - [FileControllerGetSignedUrlDownload200Response](docs/FileControllerGetSignedUrlDownload200Response.md)
 - [FileControllerGetSignedUrlUpload200Response](docs/FileControllerGetSignedUrlUpload200Response.md)
 - [FileControllerPutObject200Response](docs/FileControllerPutObject200Response.md)
 - [FileControllerPutObject200ResponseS3](docs/FileControllerPutObject200ResponseS3.md)
 - [SharedDataControllerGetDoObject200Response](docs/SharedDataControllerGetDoObject200Response.md)
 - [SharedDataControllerGetDoObject200ResponseOneOf](docs/SharedDataControllerGetDoObject200ResponseOneOf.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="bearer"></a>
### bearer

- **Type**: Bearer authentication (JWT)

<a id="api-key"></a>
### api-key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author




